This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 189334 - [hi] Incorrect font glyphs
[hi] Incorrect font glyphs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darshan Santani
: i18n
Depends On:
Blocks: Indic
  Show dependency treegraph
 
Reported: 2006-04-19 05:30 EDT by A S Alam
Modified: 2013-07-02 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 07:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Image for showing Length (2.89 KB, image/png)
2006-04-19 05:30 EDT, A S Alam
no flags Details
JA+halant+JA+I (34.48 KB, image/png)
2006-04-20 01:49 EDT, Rajesh Ranjan
no flags Details
Image showing the suggested result. (4.67 KB, image/png)
2006-05-25 10:34 EDT, Darshan Santani
no flags Details
Patch attached (2.13 KB, text/x-patch)
2006-07-21 09:49 EDT, Darshan Santani
no flags Details

  None (edit)
Description A S Alam 2006-04-19 05:30:24 EDT
Description of problem:
when type CHA+CHA+ SIGN I, then length of I is cross the base character

Version-Release number of selected component (if applicable):
1.10-2.1

How reproducible:
Everytime

Steps to Reproduce:
1. open gedit
2. start input method (rawcode)
3. type 
CA{091a}+HALANT{094d}+CA{091a}+I{093f}

  
Actual results:
Length of  SIGN I (Dependent vowel Sign {093f}) is large then Base Character

Expected results:
Length of  SIGN I (Dependent vowel Sign {093f}) is Equal to Base Character

Additional info:
Comment 1 A S Alam 2006-04-19 05:30:25 EDT
Created attachment 127977 [details]
Image for showing Length
Comment 2 Rajesh Ranjan 2006-04-20 01:49:15 EDT
Created attachment 128027 [details]
JA+halant+JA+I
Comment 3 Rajesh Ranjan 2006-04-20 01:52:43 EDT
This errors comes here also...

JA{091a}+HALANT{094d}+JA{091a}+I{093f}

see attachment id 128027
Comment 4 Darshan Santani 2006-05-25 10:34:15 EDT
Created attachment 129985 [details]
Image showing the suggested result.

JA{091c}+HALANT{094d}+JA{091c}+I{093f}
Comment 7 Darshan Santani 2006-07-21 09:49:38 EDT
Created attachment 132811 [details]
Patch attached
Comment 8 Darshan Santani 2006-07-21 09:54:25 EDT
Above patch has been attached to resolve this issue. 
Comment 9 Darshan Santani 2006-07-21 09:54:43 EDT
Above patch has been attached to resolve this issue. Thanks 
Comment 10 Satyabrata Maitra 2006-07-27 06:58:11 EDT
Test RPM required to test the patch attached.
Comment 11 Darshan Santani 2006-07-31 09:52:18 EDT
FIXED in RAWHIDE. 
[fonts-indic-2.0-2]
Comment 12 Satyabrata Maitra 2006-08-07 04:54:09 EDT
Tested this bug.
Bug has been fixed on the version :-

fonts-hindi-2.0-2

Note You need to log in before you can comment on or make changes to this bug.